org.springframework.web.servlet

## Interface SmartView

All Superinterfaces:
  View

All Known Implementing Classes:
  RedirectView

    public interface SmartView
    extends View

Provides additional information about a View such as whether it performs redirects.

Since:
  3.1
Author:
  Rossen Stoyanchev

### Field Summary

### Fields inherited from interface org.springframework.web.servlet.View

`PATH_VARIABLES, RESPONSE_STATUS_ATTRIBUTE, SELECTED_CONTENT_TYPE`

### Method Summary

Methods
`boolean` `isRedirectView()` Whether the view performs a redirect.

### Methods inherited from interface org.springframework.web.servlet.View

`getContentType, render`

### Method Detail

#### isRedirectView

    boolean isRedirectView()

Whether the view performs a redirect.